%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	Chromium Flash player plugin
Name:		chromium-browser-pepper-flash
Version:	29.0.0.171
Release:	1
License:	Proprietary
Group:		Networking/WWW
# https://get.adobe.com/flashplayer/
Url:		http://www.adobe.com/products/flashplayer/
Source0:	https://fpdownload.adobe.com/pub/flashplayer/pdc/%{version}/flash_player_ppapi_linux.i386.tar.gz
Source1:	https://fpdownload.adobe.com/pub/flashplayer/pdc/%{version}/flash_player_ppapi_linux.x86_64.tar.gz

%description
Pepper API based Adobe Flash plugin for Google's Open Source browser Chromium.

%files
%doc readme.txt
%dir %{_libdir}/chromium-browser/
%{_libdir}/chromium-browser/PepperFlash/

#----------------------------------------------------------------------------

%prep
%setup -c -T

%build
%ifarch x86_64
tar xaf %{SOURCE1}
%else
tar xaf %{SOURCE0}
%endif

%install
mkdir -p %{buildroot}%{_libdir}/chromium-browser/PepperFlash/
install -m755 *.so %{buildroot}%{_libdir}/chromium-browser/PepperFlash/
install -m644 *.json %{buildroot}%{_libdir}/chromium-browser/PepperFlash/

%changelog
